Bug 248675 - claws-mail should build with libSM support
claws-mail should build with libSM support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 01:09 EDT by Kevin Fenzi
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.10.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 12:46:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2007-07-18 01:09:34 EDT
Happened to notice that claws-mail could use libSM, but doesn't seem to have it
as a BuildRequires. 

From the last build.log: 

checking whether to use LibSM... yes
checking for SmcSaveYourselfDone in -lSM... no
checking X11/SM/SMlib.h usability... no
checking X11/SM/SMlib.h presence... no
checking for X11/SM/SMlib.h... no
not found
configure: WARNING: *** LibSM will not be supported ***

Consider adding BuildRequires: libSM-devel
Comment 1 Fedora Update System 2007-07-18 16:54:55 EDT
claws-mail-2.10.0-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2007-07-19 12:46:28 EDT
claws-mail-2.10.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.